// Operand0 Select
localparam OP0SELRS =       1'b0,
           OP0SELSHAMT =    1'b1;

// Operand1 Select
localparam OP1SELRT =       2'b00,
           OP1SELSEIMM =    2'b01,
           OP1SELZEIMM =    2'b10,
           OP1SELPC =       2'b11;

// ALU Opcodes
localparam ALUADD =         5'b00000,
           ALUADDU =        5'b00001,
           ALUSLT =         5'b00010,
           ALUSLTU =        5'b00011,
           ALUAND =         5'b00100,
           ALUOR =          5'b00101,
           ALUXOR =         5'b00110,
           ALULUI =         5'b00111,
           ALUSLL =         5'b01000,
           ALUSRL =         5'b01001,
           ALUSRA =         5'b01010,
           ALUSUB =         5'b01011,
           ALUSUBU =        5'b01100,
           ALUNOR =         5'b01101,
           ALUPASS0 =       5'b01110,
           ALUPASS1 =       5'b01111,
           ALUBEQ =         5'b10000,
           ALUBNE =         5'b10001,
           ALUBLEZ =        5'b10010,
           ALUBGTZ =        5'b10011,
           ALUBLTZ =        5'b10100,
           ALUBGEZ =        5'b10101;

// PC Select
localparam PCSELPLUS4  =    2'b00,
           PCSELBRANCH =    2'b01,
           PCSELJMPIMM =    2'b10,
           PCSELJMPREG =    2'b11;

// WriteBack Select
localparam WBSELNONE =      2'b00,
           WBSELRD =        2'b01,
           WBSELRT =        2'b10,
           WBSEL31 =        2'b11;
